Index: code/branches/cpp11_v3/src/modules/portals/PortalEndPoint.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/portals/PortalEndPoint.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/portals/PortalEndPoint.cc	(revision 11054)
@@ -48,5 +48,5 @@
     std::map<unsigned int, PortalEndPoint *> PortalEndPoint::idMap_s;
 
-    PortalEndPoint::PortalEndPoint(Context* context) : StaticEntity(context), RadarViewable(this, static_cast<WorldEntity*>(this)), id_(0), trigger_(NULL), reenterDelay_(0)
+    PortalEndPoint::PortalEndPoint(Context* context) : StaticEntity(context), RadarViewable(this, static_cast<WorldEntity*>(this)), id_(0), trigger_(nullptr), reenterDelay_(0)
     {
         RegisterObject(PortalEndPoint);
@@ -72,8 +72,8 @@
     {
         if (this->isInitialized()) {
-            if (this->trigger_ != NULL)
+            if (this->trigger_ != nullptr)
                 this->trigger_->destroy();
 
-            if (this->portalSound_ != NULL)
+            if (this->portalSound_ != nullptr)
                 this->portalSound_->destroy();
         }
@@ -112,9 +112,9 @@
 
         MultiTriggerContainer * cont = orxonox_cast<MultiTriggerContainer *>(trigger);
-        if(cont == 0)
+        if(cont == nullptr)
             return true;
 
         DistanceMultiTrigger * originatingTrigger = orxonox_cast<DistanceMultiTrigger *>(cont->getOriginator());
-        if(originatingTrigger == 0)
+        if(originatingTrigger == nullptr)
         {
             return true;
@@ -122,5 +122,5 @@
 
         MobileEntity * entity = orxonox_cast<MobileEntity *>(cont->getData());
-        if(entity == 0)
+        if(entity == nullptr)
             return true;
 
Index: code/branches/cpp11_v3/src/modules/portals/PortalEndPoint.h
===================================================================
--- code/branches/cpp11_v3/src/modules/portals/PortalEndPoint.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/portals/PortalEndPoint.h	(revision 11054)
@@ -63,11 +63,11 @@
             virtual ~PortalEndPoint();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedActivity(void);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedActivity(void) override;
 
             inline void setTarget(const std::string & target)                 //!< add types which are allowed to activate the PortalEndPoint
                 { this->trigger_->addTarget(target); }
 
-            void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
             static std::map<unsigned int, PortalEndPoint *> idMap_s; //!< Maps the id of each PortalEndPoint to a pointer to that PortalEndPoint
             inline void setReenterDelay(unsigned int seconds)
Index: code/branches/cpp11_v3/src/modules/portals/PortalLink.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/portals/PortalLink.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/portals/PortalLink.cc	(revision 11054)
@@ -40,5 +40,5 @@
     std::map<PortalEndPoint *, PortalEndPoint *> PortalLink::links_s;
 
-    PortalLink::PortalLink(Context* context) : BaseObject(context), fromID_(0), toID_(0), from_(0), to_(0)
+    PortalLink::PortalLink(Context* context) : BaseObject(context), fromID_(0), toID_(0), from_(nullptr), to_(nullptr)
     {
         RegisterObject(PortalLink);
@@ -67,5 +67,5 @@
     void PortalLink::use(MobileEntity* entity, PortalEndPoint * entrance)
     {
-        if(entrance == 0)
+        if(entrance == nullptr)
             return;
 
Index: code/branches/cpp11_v3/src/modules/portals/PortalLink.h
===================================================================
--- code/branches/cpp11_v3/src/modules/portals/PortalLink.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/portals/PortalLink.h	(revision 11054)
@@ -56,5 +56,5 @@
             PortalLink(Context* context);
             virtual ~PortalLink();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void setFromID(unsigned int from)    //!< set the ID of the PortalEndPoint which should act as the entrance of this link
